### Method

# Handy Flap set_modal

since: 1.2

#### Declaration [src]

    void
    hdy_flap_set_modal (
      HdyFlap* self,
      gboolean modal
    )

#### Description [src]

Sets whether the `self` can be closed with a click.

If `modal` is `TRUE`, clicking the content widget while flap is revealed, or pressing the `Esc` key, will close the flap. If `FALSE`, clicks are passed through to the content widget.

Available since: 1.2

Sets property | `Handy.Flap:modal`

#### Parameters

`modal`

  Type: `gboolean`

  Whether `self` can be closed with a click.